@import 'variables'
@import 'fix'
@import 'typography'

.orpin-body
  background-color $starfield
  color $bleak
  font-family 'IBM Plex Mono', Monaco, monospace

  & header
    height 10%
    min-height 50px
    width 100%

    @media only screen and (max-width: 599px)
      display none

  & main
    display flex
    flex-flow column nowrap
    height 80%
    width 100%

    @media only screen and (max-width: 599px)
      height 90%

  & footer
    align-items flex-end
    display flex
    height 9.5%
    min-height 36px
    justify-content space-between
    margin 0 2.5%
    padding 0 0 0.5%
    width 95%

    @media only screen and (max-width: 399px)
      font-size 14px

    & a
      align-items center
      display flex

.orpin-navbar
  align-items center
  display flex
  flex-flow row nowrap
  height 100%
  justify-content space-between
  margin 0 2.5%
  width 95%

  & ul
    align-items center
    display flex
    flex-flow row nowrap
    justify-content space-between
    min-width 420px
    width 23%

    & li
      border 0
      border-color $bleak

      &:hover
        border-style dashed
        border-width 0 0 2px
        padding 2px 0 0

      & a:hover
        text-decoration none

      & a:visited
        text-decoration none

#vaemoi
  height 50px
  width 50px

  & svg
    height 100%
    width 100%

#spritesheet
  display none

#gitlab
  height 36px
  margin-right 9px
  width 36px

  @media only screen and (max-width: 399px)
    height 18px
    margin-right 4.5px
    width 18px
